### Signal

# RB Player::redirect

#### Declaration

    void
    redirect (
      RBPlayer* self,
      gpointer stream_data,
      gchar* uri,
      gpointer user_data
    )

#### Description [src]

The ‘redirect’ signal is emitted to indicate when a stream has change URI.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`stream_data`

  Type: `gpointer`

  Data associated with the stream.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`uri`

  Type: `gchar*`

  URI to redirect to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.